![Spyder Docs — Documentation for the Scientific Python Development Environment](
./doc/_static/spyder_readme_banner.png)

*Copyright © 2009–2018 The Spyder Doc Contributors*


[![license](https://img.shields.io/pypi/l/spyder.svg)](./LICENSE.txt)
[![PyPI status](https://img.shields.io/pypi/status/spyder.svg)](https://github.com/spyder-ide/spyder)
[![pypi version](https://img.shields.io/pypi/v/spyder.svg)](https://pypi.org/project/spyder)
[![conda version](https://img.shields.io/conda/vn/conda-forge/spyder.svg)](https://www.anaconda.com/download/)
[![download count](https://img.shields.io/conda/dn/conda-forge/spyder.svg)](https://www.anaconda.com/download/)
[![Travis status](https://travis-ci.org/spyder-ide/spyder-docs.svg?branch=master)](https://travis-ci.org/spyder-ide/spyder-docs)
[![OpenCollective Backers](https://opencollective.com/spyder/backers/badge.svg?color=blue)](#backers)
[![Join the chat at https://gitter.im/spyder-ide/public](https://badges.gitter.im/spyder-ide/spyder.svg)](https://gitter.im/spyder-ide/public)


![Screenshot of documentation index page](./doc/_static/index_screenshot.png)


## Overview

This repository contains the source for the documentation
for Spyder, the Scientific Python Development Environment.
They can be viewed online at
[docs.Spyder-IDE.org](https://docs.spyder-ide.org/).

For more information about Spyder itself,
please see the [website](https://www.spyder-ide.org/) and the
[main repo](https://github.com/spyder-ide/spyder).


## Building and Deploying

The docs are built with
[Sphinx](http://www.sphinx-doc.org/en/stable/index.html)
and deployed with [Doctr](https://drdoctr.github.io/doctr/)
to the [docs.Spyder-IDE.org](https://docs.spyder-ide.org/) domain.
The ``master`` branch contains the docs for the forthcoming release of
Spyder 4, currently planned for Q1 2019 if funding is secured,
while the ``3.x`` branch has the docs for the current version, Spyder 3.


## Contributing

We welcome your contributions of corrections, additions and enhancements to
these docs, as they are very much a work in progress and we appreciate getting
our broad community involved wherever possible. To do so, simply submit a
PR with your changes and we'll be happy to review it; make sure to read our
[Contributing Guide](
https://github.com/spyder-ide/spyder-docs/blob/master/CONTRIBUTING.md) in mind
to ensure the process of getting your revisions integrated goes smoothly.

Thanks for your interest in Spyder and its documentation, and we appreciate
your support of the project!


## More information

[Main Website](https://www.spyder-ide.org/)

[Download Spyder (with Anaconda)](https://www.anaconda.com/download/)

[Online Documentation](https://docs.spyder-ide.org/)

[Spyder Github](https://github.com/spyder-ide/spyder)

[Troubleshooting Guide and FAQ](
https://github.com/spyder-ide/spyder/wiki/Troubleshooting-Guide-and-FAQ)

[Development Wiki](https://github.com/spyder-ide/spyder/wiki/Dev:-Index)

[Gitter Chatroom](https://gitter.im/spyder-ide/public)

[Google Group](https://groups.google.com/group/spyderlib)

[@Spyder_IDE on Twitter](https://twitter.com/spyder_ide)

[@SpyderIDE on Facebook](https://www.facebook.com/SpyderIDE/)

[Support Spyder on OpenCollective](https://opencollective.com/spyder/)
